Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization
Class BirdsEyeVisualizationViewer

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      edu.uci.ics.jung.visualization.BirdsEyeVisualizationViewer

All Implemented Interfaces:
  Accessible, ImageObserver, MenuContainer, Serializable

Deprecated. Use the SatelliteVisualizationViewer instead

public class BirdsEyeVisualizationViewer
extends JPanel

BirdsEyeVisualizationViewer is intended to be an additional display of a graph and layout that is being manipulated elsewhere. This class makes no calls that mutate the graph or layout

Author:
  Tom Nelson - RABA Technologies
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`protected MutableTransformer` | `layoutTransformer` Deprecated.
`protected Lens` | `lens` Deprecated.
`protected VisualizationModel` | `model` Deprecated.
`protected Renderer` | `renderer` Deprecated.
`protected Map` | `renderingHints` Deprecated.
`protected float` | `scalex` Deprecated.
`protected float` | `scaley` Deprecated.
`protected VisualizationViewer` | `vv` Deprecated.

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`BirdsEyeVisualizationViewer(VisualizationViewer vv, float scalex, float scaley)` Deprecated. create an instance with passed values

Method Summary
`void` | `addNotify()` Deprecated. defers setting the perferred size until the component is live and the layout size is known Adds the mouse clicker at that time.
`Layout` | `getGraphLayout()` Deprecated. getter for graph layout
`MutableTransformer` | `getLayoutTransformer()` Deprecated.
`void` | `initLens()` Deprecated. set the initial values for the Lens (50% zoom centered in display)
`protected void` | `initMouseClicker()` Deprecated. Creates and adds the Lens to control zoom/pan functions
`protected void` | `paintComponent(Graphics g)` Deprecated. paint the graph, transforming with the scalex and scaley
`void` | `resetLens()` Deprecated. reset the Lens to no zoom/no offset.
`void` | `setGraphLayout(Layout layout)` Deprecated. setter for layout
`void` | `setLayoutTransformer(MutableTransformer layoutTransformer)` Deprecated.
`void` | `setRenderer(Renderer r)` Deprecated. UNTESTED.
`void` | `zoom(float percent)` Deprecated. proportionally zoom the Lens

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### vv

    protected VisualizationViewer vv

  Deprecated.

### renderer

    protected Renderer renderer

  Deprecated.

### model

    protected VisualizationModel model

  Deprecated.

### renderingHints

    protected Map renderingHints

  Deprecated.

### scalex

    protected float scalex

  Deprecated.

### scaley

    protected float scaley

  Deprecated.

### lens

    protected Lens lens

  Deprecated.

### layoutTransformer

    protected MutableTransformer layoutTransformer

  Deprecated.

Constructor Detail

### BirdsEyeVisualizationViewer

    public BirdsEyeVisualizationViewer(VisualizationViewer vv,
                                       float scalex,
                                       float scaley)

  Deprecated.
  create an instance with passed values

Parameters:
  `scalex` - the scale in the horizontal direction
  `scaley` - the scale in the vertical direction

Method Detail

### getLayoutTransformer

    public MutableTransformer getLayoutTransformer()

  Deprecated.
  Returns:
    Returns the layoutTransformer.

### setLayoutTransformer

    public void setLayoutTransformer(MutableTransformer layoutTransformer)

  Deprecated.
  Parameters:
    `layoutTransformer` - The layoutTransformer to set.

### resetLens

    public void resetLens()

  Deprecated.
  reset the Lens to no zoom/no offset. passes call to Lens

### initLens

    public void initLens()

  Deprecated.
  set the initial values for the Lens (50% zoom centered in display)

### zoom

    public void zoom(float percent)

  Deprecated.
  proportionally zoom the Lens

  Parameters:
    `percent` -

### addNotify

    public void addNotify()

  Deprecated.
  defers setting the perferred size until the component is live and the layout size is known Adds the mouse clicker at that time.

### initMouseClicker

    protected void initMouseClicker()

  Deprecated.
  Creates and adds the Lens to control zoom/pan functions

### setRenderer

    public void setRenderer(Renderer r)

  Deprecated.
  UNTESTED.

### setGraphLayout

    public void setGraphLayout(Layout layout)

  Deprecated.
  setter for layout

### getGraphLayout

    public Layout getGraphLayout()

  Deprecated.
  getter for graph layout

  Returns:
    the layout

### paintComponent

    protected void paintComponent(Graphics g)

  Deprecated.
  paint the graph, transforming with the scalex and scaley

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD